#include<iostream> 
using namespace std;

int main()
{
	int x;
	cin >> x;
	int xu = 0;
	for(int i = 1; i < x; ++ i)
	{
		int s = 0;
		for(int j = i; j <= x; ++ j)
		{
			s += j;
			if(s == x)
			{
				for(int k = i; k <= j; ++ k)
					cout << k << " ";
				cout << endl;
				xu = 1;
				break;
			}
			if(s > x) break;
		}
	}
	
	if(xu == 0) cout << "none";
	return 0;
	
}

